function init()
	-- NAME & GRAPHIC --
	c.name = "Blackhole"
	c.gfxFile = "blackhole.png"

	-- STATS --
	c.mass = 40
	c.stat.armour = 1
	c.stationary = 1
	c.invulnerable = 1
	c.ignoreShipCollisions = 1
	c.ignoreShotCollisions = 1
	
	-- TILES & POWER SLOTS --
	
	-- PRESET COMPONENTS --

	-- MISC --
	c.behavior = "blackhole"
	
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 0	--from map_icons.png, which frame to use.
	return 0
end